<template>
  <div>
    <Component
      :is="getCurrentComponent"
      @nextStage="nextStage"
    />
  </div>
</template>

<script>
import TheBasics1 from "@/components/quizes/TheBasics/TheBasics1";
import TheBasics2 from "@/components/quizes/TheBasics/TheBasics2";
import SMSUpdates from "@/components/quizes/TheBasics/SMSUpdates";

export default {
  name: "TheBasics",
  data() {
    return {
      stages: {
        1: TheBasics1,
        2: SMSUpdates,
        3: TheBasics2
      },
      stageNumber: 1,
    }
  },
  methods: {
    nextStage() {
      if (this.stageNumber >= this.maxStages) {
        this.$emit('nextStage')
      } else {
        this.stageNumber++
      }
    }
  },
  computed: {
    getCurrentComponent() {
      return this.stages[this.stageNumber]
    },
    maxStages() {
      return Object.keys(this.stages).length
    }
  }
}
</script>

<style scoped>

</style>
